<script src="../../../../assets/bundles/datatablescripts.bundle.js"></script>
<section class="content">
    <div class="block-header">
        <div class="row">
            <div class="col-lg-7 col-md-6 col-sm-12">
                <h2>Xero Api</h2>

            </div>
            <div class="col-lg-5 col-md-6 col-sm-12">
                <ul class="breadcrumb float-md-right">
                    <li class="breadcrumb-item"><a ui-sref="test"><i class="zmdi zmdi-home"></i> Dashboard</a></li>
                    <li class="breadcrumb-item active">Xero Contacts</li>
                </ul>
            </div>
        </div>
    </div>
    <div class="container-fluid">
        <div class="row clearfix">
            <div class="col-md-12 col-lg-12">
                <div class="card">
                    <div class="body">
                        <p ng-if="contacts.length == 0">You don't have any contact.</p>
                        <button ui-sref-active="active open" ui-sref="xero" class="btn btn-raised btn-primary waves-effect btn-round tab-link">Xero Api</button>
                        <button ng-if="!connectSuccess" ui-sref-active="active open" ui-sref="xeroContacts" class="btn btn-raised btn-primary waves-effect btn-round tab-link" >Contacts</button>
                    </div>
                </div>
            </div>
        </div>


        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="header">
                        <h2><strong>Contacts</strong> </h2>
                    </div>
                    <div class="body">
                        <div class="table-responsive">

                            <table id="statDataTable" class="table table-bordered table-striped table-hover dataTable">
                                <thead>
                                <tr>
                                    <th>Contact Id</th>
                                    <th>Name</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr ng-repeat="contact in contacts">
                                    <td>{{contact.ContactID}}</td>
                                    <td>{{contact.Name}}</td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Jquery Core Js -->
<!--<script src="assets/bundles/libscripts.bundle.js"></script> &lt;!&ndash; Lib Scripts Plugin Js &ndash;&gt;-->
<!--<script src="assets/bundles/vendorscripts.bundle.js"></script> &lt;!&ndash; Lib Scripts Plugin Js &ndash;&gt;-->


<!--<script src="assets/bundles/mainscripts.bundle.js"></script>&lt;!&ndash; Custom Js &ndash;&gt;-->
<!--<script src="assets/js/pages/ui/dialogs.js"></script>-->
<style>
    .dropdown-menu>li {
        display: block;
        padding: 7px 18px;
        color: #616161;
        -moz-transition: all 0.5s;
        -o-transition: all 0.5s;
        -webkit-transition: all 0.5s;
        transition: all 0.5s;
        font-size: 14px;
        line-height: 25px;
        cursor: pointer;
    }
    .dropdown-menu>li:hover {
        display: block;
        padding: 7px 18px;
        color: #ffffff;
        background-color: #17a2b8;
        -moz-transition: all 0.5s;
        -o-transition: all 0.5s;
        -webkit-transition: all 0.5s;
        transition: all 0.5s;
        font-size: 14px;
        line-height: 25px;
        cursor: pointer;
    }
    .tab-link:not(:disabled):not(.disabled) {
        cursor: pointer;
        background-color: #9E9E9E;
        border-color: #9E9E9E;
    }
    .tab-link:not(:disabled):not(.disabled).active, .show>.tab-link.dropdown-toggle {
        background-color: #49c5b6;
        border-color: #49c5b6;
    }
    .tab-link:not(:disabled):not(.disabled):active {
        background-color: #007bff;
        border-color: #007bff;
    }
    .spanlink {
        cursor:pointer;
        color:#ED5D3E;
    }
    h2:before {
        background: none !important;
    }

</style>
<script>
    setTimeout(function(){ $('#statDataTable').DataTable(); });
</script>